Update a variant
PUT https://{handle}.myshopline.com/admin/openapi/v20261201/products/variants/:variant_id.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Update the information for a product variant.
Path Parameters
- variant_id string requiredThe unique identifier for a variant.
Maximum length: 64Example:18057039439794751459380282
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
variantobject
Variant information.option2 stringInformation of the second option of the variant.
Maximum length: 255Example:xlbarcode stringThe barcode of the variant.
Maximum length: 255Example:T0000001option1 stringInformation of the first option of the variant.
Maximum length: 255Example:redoption4 stringInformation of the fourth option of the variant.
Maximum length: 255Example:shortrequired_shipping booleanIndicates whether the variant is required to be shipped.true: Shipping is required.false: Shipping is not required.
Default value:truesku stringThe product SKU. It is distinct fromvariant.idreturned by SHOPLINE.
Maximum size: 255Example:S0000001weight_unit stringThe unit of weight for the variant. Valid values are:g: gramkg: kilogramlb: poundoz: ouncezh_kg: kilogram
Default value:gcompare_at_price stringThe original price of the variant. The value is rounded to two decimal places.
Default value:0Example:129.99imageobject
The image of the variant.id stringThe unique identifier for the variant image.
Maximum length:64Example:5785060242207917075src stringThe link to the variant image, represented as a URL.
Maximum length: 255Example:https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.pngalt stringThe alternative textual description of the variant image, usually a word or phrase with the characteristics or content of the image.
Maximum length: 512Example:This is an image alt.inventory_tracker booleanIndicates whether the inventory tracking is enabled.true: Inventory tracking is enabled.false: Inventory tracking is not enabled.
Default value:trueoption3 stringInformation of the third option of the variant.
Maximum length: 255Example:cottonprice stringThe selling price of the variant. The value is rounded to two decimal places.
Default value:0Example:90.22inventory_policy stringIndicates whether the variant is allowed to be oversold.deny: overselling not allowedcontinue: overselling allowed
Default value:denyoption5 stringInformation of the fifth option of the variant.
Maximum length: 255Example:casualtaxable booleanIndicates whether the variant is subject to tax.true: Tax is required.false: Tax is not required.
Default value:trueweight stringThe weight of the variant. The value is required to be greater than0,and rounded to two decimal places.Example:0.23
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
variantobject
Variant information.created_at stringThe creation date and time of the product variant. Format: ISO 8601.Example:2025-03-06T02:20:26+08:00id stringThe unique identifier for the variant.Example:18057039439794751459380282inventory_tracker booleanIndicates whether the inventory tracking is enabled.true: Inventory tracking is enabled.false: Inventory tracking is not enabled.
sku stringThe product SKU. It is distinct fromvariant.idreturned by SHOPLINE.Example:S00000001taxable booleanIndicates whether the variant is subject to tax.true: Tax is required.false: Tax is not required.
weight_unit stringThe unit of weight for the variant. Valid values are:g: gramkg: kilogramlb: poundoz: ouncezh_kg: kilogram
inventory_item_id stringThe unique identifier for the inventory item.Example:5705499385037070868inventory_policy stringIndicates whether the variant is allowed to be oversold.deny: overselling not allowedcontinue: overselling allowed
option2 stringInformation of the second option of the variant.Example:xlprice stringThe selling price of the variant. The value is rounded to two decimal places.Example:90.22required_shipping booleanIndicates whether the variant is required to be shipped.true: Shipping is required.false: Shipping is not required.
inventory_quantity integerThe total inventory quantity at all storage locations.Example:99option5 stringInformation of the fifth option of the variant.Example:casualproduct_id stringThe unique identifier for the product corresponding to the variant.Example:16050375155238626683133099barcode stringThe barcode of the variant.Example:T00000001compare_at_price stringThe original price of the variant. The value is rounded to two decimal places.Example:129.99imageobject
The image of the variant.alt stringThe alternative textual description of the variant image, usually a word or phrase with the characteristics or content of the image.Example:This is an image alt.id stringThe unique identifier for the variant image.Example:5785060242207917075src stringThe link to the variant image, represented as a URL.Example:https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.pngoption1 stringInformation of the first option of the variant.Example:redoption3 stringInformation of the third option of the variant.Example:cottonoption4 stringInformation of the fourth option of the variant.Example:shortupdated_at stringThe date and time when the variant was last updated. Format: ISO 8601.Example:2025-03-06T02:20:26+08:00weight stringThe weight of the variant. The value is rounded up if it exceeds two decimal places.Example:0.23
API Explorer
Debugger
Examples
Was this article helpful to you?